# Class Trace

Prints ng-router Transition trace information to the console.

- Defined in src/router/common/trace.js:92

##### Index

### Constructors

constructor

### Properties

_enabled
approximateDigests

### Methods

_set
disable
enable
enabled
traceError
traceHookInvocation
traceHookResult
traceResolvableResolved
traceResolvePath
traceSuccess
traceTransitionIgnored
traceTransitionStart
traceUIViewConfigUpdated
traceUIViewEvent
traceUIViewFill
traceViewServiceEvent
traceViewServiceUIViewEvent
traceViewSync

## Constructors

### constructor

- new Trace(): Trace

  #### Returns Trace

  - Defined in src/router/common/trace.js:93

## Properties

### _enabled

_enabled: {}

- Defined in src/router/common/trace.js:94

### approximateDigests

approximateDigests: number

- Defined in src/router/common/trace.js:95

## Methods

### _set

- _set(enabled: any, categories: any): void

  #### Parameters

  - enabled: any
  - categories: any

  #### Returns void

  - Defined in src/router/common/trace.js:98

### disable

- disable(...categories: any[]): void

  #### Parameters

  - ...categories: any[]

  #### Returns void

  - Defined in src/router/common/trace.js:112

### enable

- enable(...categories: any[]): void

  #### Parameters

  - ...categories: any[]

  #### Returns void

  - Defined in src/router/common/trace.js:109

### enabled

- enabled(category: any): boolean

  Retrieves the enabled stateus of a [[Category]]

      trace.enabled("VIEWCONFIG"); // true or false

  #### Parameters

  - category: any

  #### Returns boolean

  boolean true if the category is enabled

  - Defined in src/router/common/trace.js:124

### traceError

- traceError(reason: any, trans: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - reason: any
  - trans: any

  #### Returns void

  - Defined in src/router/common/trace.js:170

### traceHookInvocation

- traceHookInvocation(step: any, trans: any, options: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - step: any
  - trans: any
  - options: any

  #### Returns void

  - Defined in src/router/common/trace.js:138

### traceHookResult

- traceHookResult(hookResult: any, trans: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - hookResult: any
  - trans: any

  #### Returns void

  - Defined in src/router/common/trace.js:151

### traceResolvableResolved

- traceResolvableResolved(resolvable: any, trans: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - resolvable: any
  - trans: any

  #### Returns void

  - Defined in src/router/common/trace.js:163

### traceResolvePath

- traceResolvePath(path: any, when: any, trans: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - path: any
  - when: any
  - trans: any

  #### Returns void

  - Defined in src/router/common/trace.js:158

### traceSuccess

- traceSuccess(finalState: any, trans: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - finalState: any
  - trans: any

  #### Returns void

  - Defined in src/router/common/trace.js:177

### traceTransitionIgnored

- traceTransitionIgnored(trans: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - trans: any

  #### Returns void

  - Defined in src/router/common/trace.js:133

### traceTransitionStart

- traceTransitionStart(trans: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - trans: any

  #### Returns void

  - Defined in src/router/common/trace.js:128

### traceUIViewConfigUpdated

- traceUIViewConfigUpdated(viewData: any, context: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - viewData: any
  - context: any

  #### Returns void

  - Defined in src/router/common/trace.js:191

### traceUIViewEvent

- traceUIViewEvent(event: any, viewData: any, extra?: string): void
  `Internal`

  called by ng-router code

  #### Parameters

  - event: any
  - viewData: any
  - extra: string = ""

  #### Returns void

  - Defined in src/router/common/trace.js:184

### traceUIViewFill

- traceUIViewFill(viewData: any, html: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - viewData: any
  - html: any

  #### Returns void

  - Defined in src/router/common/trace.js:200

### traceViewServiceEvent

- traceViewServiceEvent(event: any, viewConfig: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - event: any
  - viewConfig: any

  #### Returns void

  - Defined in src/router/common/trace.js:221

### traceViewServiceUIViewEvent

- traceViewServiceUIViewEvent(event: any, viewData: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - event: any
  - viewData: any

  #### Returns void

  - Defined in src/router/common/trace.js:226

### traceViewSync

- traceViewSync(pairs: any): void
  `Internal`

  called by ng-router code

  #### Parameters

  - pairs: any

  #### Returns void

  - Defined in src/router/common/trace.js:205